Security Enhanced Linux Reference Policy

# Layer: system

## Module: udev

Interfaces

### Description:

Policy for udev.

### Interfaces:

udev_domtrans( domain )

##### Summary

Execute udev in the udev domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

udev_dontaudit_rw_dgram_sockets( domain )

##### Summary

Do not audit attempts to read or write to a udev unix datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

udev_dontaudit_search_db( domain )

##### Summary

Do not audit search of udev database directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

udev_dontaudit_use_fds( domain )

##### Summary

Do not audit attempts to inherit a udev file descriptor.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

udev_exec( domain )

##### Summary

Execute udev in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_helper_domtrans( domain )

##### Summary

Execute a udev helper in the udev domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

udev_read_db( domain )

##### Summary

Allow process to read list of devices.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

udev_read_state( domain )

##### Summary

Allow process to read udev process state.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

udev_rw_db( domain )

##### Summary

Allow process to modify list of devices.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

Return